Bug 80477 - StartCenter v. Menu Bar conflicting accelerator Alt+H
Summary: StartCenter v. Menu Bar conflicting accelerator Alt+H
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All Windows (All)
: medium minor
Assignee: Adolfo Jayme
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2014-06-24 14:10 UTC by V Stuart Foote
Modified: 2014-08-02 13:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2014-06-24 14:10:17 UTC
On Windows 7 sp1, 64-bit en-US

The Alt+H accelerator assigned to StartCenter Help conflicts with the legacy Menu Bar Help, also assigned Alt+H.

If focus is on the StartCenter panel, the accelerator assigned there takes precedence over the global use of Menu Bar.

Result is that the StartCenter Help launches the Web based (or offline if installed) browser Help for StartCenter, and the Menu bar Help is unreachable via its assigned accelerator.

But as would be expected, if focus is on the menu bar, the Alt+H accelerator does work correctly there.

Can not remove the Help item from the menu bar, so one or the other needs to be reassigned to eliminate UI conflict.
Comment 1 V Stuart Foote 2014-06-27 00:21:33 UTC
Removed link to bug 65138 SideBar related meta issue, this clearly should have been related to bug 61914 --  META: Tweak the new template manager to act as a start center.
Comment 2 V Stuart Foote 2014-07-03 14:12:00 UTC
On Windows 7 sp1, 64-bit en-US
Version: 4.3.0.2
Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409
with en-US offline Help installed.

With StartCenter UI panel open, two <Alt>+H accelerators are viewable. To choose use of one or the other keyboard focus must be shifted.

With focus on the StartCenter the <Alt>+H will open help article for "Start Center".

Move the focus (with <F10>) onto the Main Menu bar. <alt>+H will open the Help drop down, a second H or <F1> will open the LibreOffice Help main page.

The accelerator can be either <alt>+H or simply "h".

On return from the Help items on main menu (either by accelerator, or by F1 special key)--focus shifts from main menu to the Help button on the StartCenter panel. Not sure that is the best landing point. Focus should probably remain on File button of the Main menu bar as with other main tool bar items. Or could shift back to the Open button of the StartCenter, location with focus when the StartCenter opens.

When <alt>+H accelerator is used from StartCenter--on return, focus also shifts to the Help button, should probably also remain (shift back) to the Open button.

Yet when either the Main Menu or the StartCenter UI Help button is mouse clicked, on exit there is no shift of focus from the object that held focus prior to the click.

Seems like the behavior of the Help accelerator(s) should be consistent. Also there probably should not be two of the same accelerators visible on screen at the same time.
Comment 3 V Stuart Foote 2014-07-06 14:01:31 UTC
For reference, the StartCenter help button was reworked for bug 72420 

But IIRC the issue of assigned accelerator has been there from StartCenter inception.
Comment 4 Adolfo Jayme 2014-07-06 20:35:53 UTC
This is another obvious tiny bug that does not need “UX Advise.”
Comment 5 Adolfo Jayme 2014-07-06 21:14:55 UTC
https://gerrit.libreoffice.org/#/c/10102/
Comment 6 Commit Notification 2014-07-07 11:17:54 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=148202e89da4349c638c1bc63c9dc4253762fdf8

Resolves fdo#80477: duplicate key for Help button in Start Center



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.